library(tidyverse)
library(httr)
library(rvest)
library(DT)

options(DT.options = list(paging = F,
                          searching = T,
                          info = F,
                          dom = "Bfrtip",
                          buttons = c("copy", "excel")))

ui <- fluidPage(
  inputPanel(
    textInput("wiki_url", "Wikipedia comparison page"),
    actionButton("go", "Load tables")
             )
  )

server <- function(input, output, session)
{
  tables <- eventReactive(input$go,{
    GET(url) %>%
      content %>%
      html_table(fill = T)
  })
}


  reduce(inner_join) %>%
  mutate_if(is.character, factor) %>%
  datatable(filter = "top")
